summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEmil Velikov <emil.l.velikov@gmail.com>2014-02-13 00:28:27 +0000
committerEmil Velikov <emil.l.velikov@gmail.com>2014-02-18 00:04:07 +0000
commit4b3a4c799a44175129853370621336b31098b62a (patch)
tree5ceb2b81726aba80df7d3d58d44f19d66974b5d9
parent5fe47969c0e7e56fa42e4deadafb37e4b442a559 (diff)
scons: sync package requirements
xorg-server and libkms is no longer required since the removal of the xorg state-tracker. Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com> Reviewed-by: Matt Turner <mattst88@gmail.com>
-rwxr-xr-xscons/gallium.py8
1 files changed, 3 insertions, 5 deletions
diff --git a/scons/gallium.py b/scons/gallium.py
index 70ee89b0d38..f505a62be56 100755
--- a/scons/gallium.py
+++ b/scons/gallium.py
@@ -533,11 +533,9 @@ def generate(env):
env.PkgCheckModules('X11', ['x11', 'xext', 'xdamage', 'xfixes'])
env.PkgCheckModules('XCB', ['x11-xcb', 'xcb-glx >= 1.8.1'])
env.PkgCheckModules('XF86VIDMODE', ['xxf86vm'])
- env.PkgCheckModules('DRM', ['libdrm >= 2.4.24'])
- env.PkgCheckModules('DRM_INTEL', ['libdrm_intel >= 2.4.30'])
- env.PkgCheckModules('XORG', ['xorg-server >= 1.6.0'])
- env.PkgCheckModules('KMS', ['libkms >= 2.4.24'])
- env.PkgCheckModules('UDEV', ['libudev > 150'])
+ env.PkgCheckModules('DRM', ['libdrm >= 2.4.38'])
+ env.PkgCheckModules('DRM_INTEL', ['libdrm_intel >= 2.4.52'])
+ env.PkgCheckModules('UDEV', ['libudev >= 151'])
env['dri'] = env['x11'] and env['drm']